<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class NotificationEventOccurrence extends Model
{
    protected $guarded = ['id'];

    protected function casts(): array
    {
        return ['processed_at' => 'datetime'];
    }

    public function subjectable()
    {
        return $this->morphTo();
    }
}
